%global momorel 2
%global pythonver 2.5.1-11m
%global svn_date 20080214
%global use_svn 0

Summary:        OpenGL window and compositing manager.
Name:           ccsm
Version:        0.7.6
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: 	%{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
%endif

Patch1:		ccsm-0.6.99-path_fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compizconfig-python
Requires:       compizconfig-backend-gconf
BuildRequires:	gtk+-devel, compiz-core >= 0.7.6
BuildRequires:	libcompizconfig >= 0.7.6, compizconfig-python >= 0.7.6
BuildPreReq:	python-devel >= %{pythonver}
Obsoletes:      gset-compiz
Obsoletes:      ccs-settings
Provides:	ccs-settings

%description
Beryl is a fork of Compiz.
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%patch1 -p1 -b .prefix

%build

make PREFIX=/usr
# python setup.py build --prefix=/usr

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make PREFIX=%{buildroot}/usr install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/python2.5/site-packages/ccsm-*.egg-info
%{_libdir}/python2.5/site-packages/ccm/*
%{_datadir}/ccsm/images/*
%{_datadir}/ccsm/icons/*
%{_datadir}/icons/*/*/apps/ccsm.*
%{_datadir}/applications/ccsm.desktop
%{_datadir}/locale/*/LC_MESSAGES/ccsm.mo

%changelog
* Wed Jun 11 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.6-2m)
- add Requires: compizconfig-backend-gconf for /usr/lib/compizconfig/backends/libgconf.so

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.4-3m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.4-2m)
- enable egg-info

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Mar  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.4m)
- Provides, Obsolutes ccs-settings

* Tue Feb 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.99-0.20080214.3m)
- revival patch1

* Sun Feb 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.99-0.20080214.2m)
- modify %%files (release %%{_datadir}/icons/hicolor)

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Tue Oct 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Mon Oct 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-0.3m)
- update ja.po

* Sat Oct 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.2m)
- fix icon path

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0

* Tue Aug 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-2m)
- update ja.po

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.3m)
- update ja.po

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.2m)
- fix icon path problem
- cleanup spec

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.1m)
- update 20070801
-- add ja.po

* Mon Jul 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070730.1m)
- update 20070730

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- remove BuildReq: beryl-core

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- initial commit

